<?php
namespace Tags;

class url implements ITagProcessor{
	public static function Process($args, $content) {
		if ($content=="")
			$content=$args["text"];
		$target="";
		if (strpos("http://", $content)!==false)
			$target=' target="_blank"';
		$html='<a href="'.$args['link'].'"'.$target.'>'.$content.'</a>';
		return $html;
	}
}